EDIT - bug #7361

Consistent Ul concept for create, new, add, remove, delete, edit buttons
04/23/2018 11:19 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%

Category: cdm-vaadin Estimated time: 0:00 hour

Target version: Release 5.2

Severity: normal Found in Version:

Description

The Ul is currently inconsistent in the representation of the add, edit and create buttons as demonstrated by the screenshots below.
A possible solution is to use the https:/fontawesome.com/icons/asterisk?style=solid for create buttons. And to use the "plus” only for
add-operations in lists.

Related issues:
Copied to EDIT - feature request #7662: Better icons for create, new, add row... New

Associated revisions

Revision c09732ba - 07/09/2018 12:25 PM - Andreas Kohlbecker

ref #7361 creating new icon 'create-new' & introducing ButtonFactory for harmonization of button creation

Revision fb908fa3 - 07/09/2018 01:10 PM - Andreas Kohlbecker

ref #7361 icon 'create-new' modified

03/20/2024 1/4


https://fontawesome.com/icons/asterisk?style=solid

Revision b9e727eb - 07/09/2018 03:06 PM - Andreas Kohlbecker
ref #7361 fixing update problem of editOrCreate button

History

#1 - 04/23/2018 11:20 AM - Andreas Kohlbecker

- File create-add button inconsistent.odg added

#2 - 04/23/2018 11:36 AM - Andreas Kohlbecker
- File picture936-1.png added

- Description updated

#3 - 04/23/2018 11:36 AM - Andreas Kohlbecker
- File deleted (picture26-1.png)

#4 - 04/23/2018 11:36 AM - Andreas Kohlbecker

- File deleted (create-add button inconsistent.odg)

#5 - 04/23/2018 11:37 AM - Andreas Kohlbecker

- File create-add button inconsistent.odg added

#6 - 04/24/2018 11:45 AM - Andreas Kohlbecker
- Tags set to phycobank

#7 - 06/26/2018 12:44 PM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Release 5.1 to Release 5.2

#8 - 07/09/2018 02:27 PM - Andreas Kohlbecker
- File picture29-1.png added

adding a screenshot of the more consistren Ul with the new "create-new" icon:
#9 - 07/09/2018 02:36 PM - Andreas Kohlbecker
- File picture79-1.png added

- File picture79-2.png added

Another Ul concept:

® use add row and remove icons like:

%

from (https://icons8.com/icon/set/remove%20row/all)

® use "+" again for ceate

#10 - 07/09/2018 02:37 PM - Andreas Kohlbecker

- Status changed from New to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
Henning,

what do you think?

Andreas

03/20/2024 3/4


https://icons8.com/icon/set/remove%20row/all

#11 - 08/03/2018 02:03 PM - Andreas Kohlbecker

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

#12 - 08/17/2018 12:29 PM - Andreas Kohlbecker

- Copied to feature request #7662: Better icons for create, new, add row, remove row added

#13 - 08/17/2018 12:30 PM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 0 to 100

remaining improvements copied to #7662
